import request from '@/utils/request'
import Qs from 'qs'

export function listBuilt(query) {
  return request({
    url: '/built/list',
    method: 'get',
    params: query,
    paramsSerializer: function(params) {
      return Qs.stringify(params, { arrayFormat: 'repeat' })
    }
  })
}

export function listBuiltCount() {
  return request({
    url: '/built/count',
    method: 'get'
  })
}

export function create(data) {
  return request({
    url: '/built/create',
    method: 'post',
    data
  })
}
